Manual update of pip requirements 54/12254/1 master release-v12.0-start
authorbeierlm <mark.beierl@canonical.com>
Fri, 24 Jun 2022 17:40:58 +0000 (17:40 +0000)
committerbeierlm <mark.beierl@canonical.com>
Fri, 24 Jun 2022 17:40:58 +0000 (17:40 +0000)
Change-Id: I963e8f63e80e6b35f090b5c03a0ada223118e65e
Signed-off-by: beierlm <mark.beierl@canonical.com>
requirements-dev.txt
requirements-test.txt
requirements.txt
tox.ini

index 9a0dc90..b036158 100644 (file)
@@ -16,7 +16,7 @@
 
 aiokafka==0.7.2
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
 
 aiokafka==0.7.2
     # via -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
-bitarray==2.3.5
+bitarray==2.5.1
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
@@ -30,7 +30,7 @@ kafka-python==2.0.2
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     #   aiokafka
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     #   aiokafka
-lxml==4.7.1
+lxml==4.9.0
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyang
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyang
@@ -39,7 +39,7 @@ osm-common @ git+https://osm.etsi.org/gerrit/osm/common.git@master
     # via -r requirements-dev.in
 osm-im @ git+https://osm.etsi.org/gerrit/osm/IM.git@master
     # via -r requirements-dev.in
     # via -r requirements-dev.in
 osm-im @ git+https://osm.etsi.org/gerrit/osm/IM.git@master
     # via -r requirements-dev.in
-pyang==2.5.2
+pyang==2.5.3
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
@@ -53,7 +53,7 @@ pyyaml==5.4.1
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   -r https://osm.etsi.org/gitweb/?p=osm/common.git;a=blob_plain;f=requirements.txt;hb=master
-regex==2021.11.10
+regex==2022.6.2
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
     # via
     #   -r https://osm.etsi.org/gitweb/?p=osm/IM.git;a=blob_plain;f=requirements.txt;hb=master
     #   pyangbind
index 78c3aac..fbbf879 100644 (file)
@@ -26,23 +26,23 @@ asynctest==0.13.0
     # via -r requirements-test.in
 attrs==21.4.0
     # via aiohttp
     # via -r requirements-test.in
 attrs==21.4.0
     # via aiohttp
-certifi==2021.10.8
+certifi==2022.6.15
     # via requests
 chardet==3.0.4
     # via
     #   aiohttp
     #   requests
     # via requests
 chardet==3.0.4
     # via
     #   aiohttp
     #   requests
-coverage==6.3.2
+coverage==6.4.1
     # via
     #   -r requirements-test.in
     #   nose2
     # via
     #   -r requirements-test.in
     #   nose2
-deepdiff==5.7.0
+deepdiff==5.8.1
     # via -r requirements-test.in
     # via -r requirements-test.in
-idna==3.3
+idna==2.10
     # via
     #   requests
     #   yarl
     # via
     #   requests
     #   yarl
-lxml==4.8.0
+lxml==4.9.0
     # via pyang
 multidict==4.7.6
     # via
     # via pyang
 multidict==4.7.6
     # via
@@ -50,7 +50,7 @@ multidict==4.7.6
     #   yarl
 nose2==0.11.0
     # via -r requirements-test.in
     #   yarl
 nose2==0.11.0
     # via -r requirements-test.in
-ordered-set==4.0.2
+ordered-set==4.1.0
     # via deepdiff
 pyang==2.5.3
     # via -r requirements-test.in
     # via deepdiff
 pyang==2.5.3
     # via -r requirements-test.in
index ad4d82c..8b1f3b4 100644 (file)
@@ -22,7 +22,7 @@ attrs==21.4.0
     # via
     #   aiohttp
     #   jsonschema
     # via
     #   aiohttp
     #   jsonschema
-certifi==2021.10.8
+certifi==2022.6.15
     # via requests
 chardet==3.0.4
     # via aiohttp
     # via requests
 chardet==3.0.4
     # via aiohttp
@@ -34,113 +34,114 @@ cherrypy==18.6.1
     # via -r requirements.in
 debtcollector==2.5.0
     # via
     # via -r requirements.in
 debtcollector==2.5.0
     # via
-    #   oslo.config
-    #   oslo.utils
+    #   oslo-config
+    #   oslo-utils
     #   python-keystoneclient
     #   python-keystoneclient
-deepdiff==5.7.0
+deepdiff==5.8.1
     # via -r requirements.in
 idna==3.3
     # via
     #   requests
     #   yarl
     # via -r requirements.in
 idna==3.3
     # via
     #   requests
     #   yarl
-importlib-resources==5.6.0
+importlib-resources==5.8.0
     # via
     # via
-    #   jaraco.text
+    #   jaraco-text
     #   jsonschema
 iso8601==1.0.2
     # via
     #   keystoneauth1
     #   jsonschema
 iso8601==1.0.2
     # via
     #   keystoneauth1
-    #   oslo.utils
-jaraco.classes==3.2.1
-    # via jaraco.collections
-jaraco.collections==3.5.1
+    #   oslo-utils
+jaraco-classes==3.2.1
+    # via jaraco-collections
+jaraco-collections==3.5.1
     # via cherrypy
     # via cherrypy
-jaraco.context==4.1.1
-    # via jaraco.text
-jaraco.functools==3.5.0
+jaraco-context==4.1.1
+    # via jaraco-text
+jaraco-functools==3.5.0
     # via
     #   cheroot
     # via
     #   cheroot
-    #   jaraco.text
+    #   jaraco-text
     #   tempora
     #   tempora
-jaraco.text==3.7.0
-    # via jaraco.collections
-jsonschema==4.4.0
+jaraco-text==3.8.0
+    # via jaraco-collections
+jsonschema==4.6.0
     # via -r requirements.in
     # via -r requirements.in
-keystoneauth1==4.5.0
+keystoneauth1==4.6.0
     # via python-keystoneclient
     # via python-keystoneclient
-more-itertools==8.12.0
+more-itertools==8.13.0
     # via
     #   cheroot
     #   cherrypy
     # via
     #   cheroot
     #   cherrypy
-    #   jaraco.classes
-    #   jaraco.functools
-msgpack==1.0.3
-    # via oslo.serialization
+    #   jaraco-classes
+    #   jaraco-functools
+msgpack==1.0.4
+    # via oslo-serialization
 multidict==4.7.6
     # via
     #   aiohttp
     #   yarl
 netaddr==0.8.0
     # via
 multidict==4.7.6
     # via
     #   aiohttp
     #   yarl
 netaddr==0.8.0
     # via
-    #   oslo.config
-    #   oslo.utils
+    #   oslo-config
+    #   oslo-utils
 netifaces==0.11.0
 netifaces==0.11.0
-    # via oslo.utils
-ordered-set==4.0.2
+    # via oslo-utils
+ordered-set==4.1.0
     # via deepdiff
 os-service-types==1.7.0
     # via keystoneauth1
     # via deepdiff
 os-service-types==1.7.0
     # via keystoneauth1
-oslo.config==8.8.0
+oslo-config==8.8.0
     # via python-keystoneclient
     # via python-keystoneclient
-oslo.i18n==5.1.0
+oslo-i18n==5.1.0
     # via
     # via
-    #   oslo.config
-    #   oslo.utils
+    #   oslo-config
+    #   oslo-utils
     #   python-keystoneclient
     #   python-keystoneclient
-oslo.serialization==4.3.0
+oslo-serialization==4.3.0
     # via python-keystoneclient
     # via python-keystoneclient
-oslo.utils==4.12.2
+oslo-utils==6.0.0
     # via
     # via
-    #   oslo.serialization
+    #   oslo-serialization
     #   python-keystoneclient
 packaging==21.3
     #   python-keystoneclient
 packaging==21.3
-    # via oslo.utils
-pbr==5.8.1
+    # via
+    #   oslo-utils
+    #   python-keystoneclient
+pbr==5.9.0
     # via
     #   keystoneauth1
     #   os-service-types
     # via
     #   keystoneauth1
     #   os-service-types
-    #   oslo.i18n
-    #   oslo.serialization
-    #   oslo.utils
+    #   oslo-i18n
+    #   oslo-serialization
     #   python-keystoneclient
     #   stevedore
 portend==3.1.0
     # via cherrypy
     #   python-keystoneclient
     #   stevedore
 portend==3.1.0
     # via cherrypy
-pyparsing==3.0.7
+pyparsing==3.0.9
     # via
     # via
-    #   oslo.utils
+    #   oslo-utils
     #   packaging
 pyrsistent==0.18.1
     # via jsonschema
     #   packaging
 pyrsistent==0.18.1
     # via jsonschema
-python-keystoneclient==4.4.0
+python-keystoneclient==4.5.0
     # via -r requirements.in
 pytz==2022.1
     # via
     # via -r requirements.in
 pytz==2022.1
     # via
-    #   oslo.serialization
-    #   oslo.utils
+    #   oslo-serialization
+    #   oslo-utils
     #   tempora
 pyyaml==5.4.1
     # via
     #   -r requirements.in
     #   tempora
 pyyaml==5.4.1
     # via
     #   -r requirements.in
-    #   oslo.config
-requests==2.27.1
+    #   oslo-config
+requests==2.28.0
     # via
     #   -r requirements.in
     #   keystoneauth1
     # via
     #   -r requirements.in
     #   keystoneauth1
-    #   oslo.config
+    #   oslo-config
     #   python-keystoneclient
 rfc3986==2.0.0
     #   python-keystoneclient
 rfc3986==2.0.0
-    # via oslo.config
+    # via oslo-config
 six==1.16.0
     # via
     #   cheroot
 six==1.16.0
     # via
     #   cheroot
@@ -150,19 +151,19 @@ six==1.16.0
 stevedore==3.5.0
     # via
     #   keystoneauth1
 stevedore==3.5.0
     # via
     #   keystoneauth1
-    #   oslo.config
+    #   oslo-config
     #   python-keystoneclient
     #   python-keystoneclient
-tacacs_plus==2.6
+tacacs-plus==2.6
     # via -r requirements.in
 tempora==5.0.1
     # via portend
 urllib3==1.26.9
     # via requests
     # via -r requirements.in
 tempora==5.0.1
     # via portend
 urllib3==1.26.9
     # via requests
-wrapt==1.14.0
+wrapt==1.14.1
     # via debtcollector
 yarl==1.7.2
     # via aiohttp
     # via debtcollector
 yarl==1.7.2
     # via aiohttp
-zc.lockfile==2.0
+zc-lockfile==2.0
     # via cherrypy
 zipp==3.8.0
     # via importlib-resources
     # via cherrypy
 zipp==3.8.0
     # via importlib-resources
diff --git a/tox.ini b/tox.ini
index 7827a7e..929119a 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -81,7 +81,7 @@ commands =
 
 #######################################################################################
 [testenv:pip-compile]
 
 #######################################################################################
 [testenv:pip-compile]
-deps =  pip-tools==6.4.0
+deps =  pip-tools==6.6.2
 skip_install = true
 whitelist_externals = bash
         [
 skip_install = true
 whitelist_externals = bash
         [